## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

# https://github.com/coocood/freecache
%global goipath         github.com/coocood/freecache
Version:                1.2.2

%gometa

%global common_description %{expand:
A cache library for Go with zero GC overhead.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Cache library with zero GC overhead

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cespare/xxhash)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 19 2022 Fabian Affolter <mail@fabian-affolter.ch> 1.2.2-1
- Update to latest upstream release 1.2.2 (closes rhbz#2116697)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Mar 25 2022 Fabian Affolter <mail@fabian-affolter.ch> 1.2.1-1
- Update to latest upstream release 1.2.1 (closes rhbz#2064040)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 12 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.2.0-1
- Update to latest upstream release 1.2.0 (closes rhbz#2022599)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 19 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.1.1-2
- * Thu Nov 19 2020 Fabian Affolter <mail@fabian-affolter.ch> -1.1.1-2 -
  Remove demo server (#1881612)

* Thu Nov 19 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.1.1-1
- * Tue Sep 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1 -
  Initial package
